For the complete documentation index, see llms.txt. This page is also available as Markdown.

역할

역할에 대한 REST API 작업

개요

이러한 API 작업을 사용하여 다음과 상호 작용하세요 사용자 역할 Panther에서.

API를 호출하려면, 다음을 참조하세요 Panther REST API 사용 방법 지침—다음을 포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 안내.

필요한 권한

  • 다음의 경우 GET 작업의 경우, API 토큰에는 다음이 있어야 합니다 사용자 정보 읽기 권한이 있어야 합니다.

  • 다음의 경우 POSTDELETE 작업의 경우, API 토큰에는 다음이 있어야 합니다 사용자 관리 권한이 있어야 합니다.

작업

Create a role

post
Authorizations
X-API-KeystringRequired
Body
logTypeAccessstring[]Optional

The log types that the role can or cannot access, according to the logTypeAccessKind field. This field should be omitted if logTypeAccessKind has a value of ALLOW_ALL or DENY_ALL

logTypeAccessKindstring · enumOptional

Defines the role's access to log types. This field is required and has effect only if the datalake RBAC feature is enabled.

Possible values:
namestringRequired

The name of the role

Responses
200

OK response.

application/json
createdAtstringOptional
idstringOptional

ID of the role

logTypeAccessstring[]Optional

The log types that the role can or cannot access, according to the logTypeAccessKind field. This field should be omitted if logTypeAccessKind has a value of ALLOW_ALL or DENY_ALL

logTypeAccessKindstring · enumRequired

Defines the role's access to log types. This field is required and has effect only if the datalake RBAC feature is enabled.

Possible values:
namestringRequired

The name of the role

updatedAtstringOptional
post/roles

Get a role

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the role

Responses
200

OK response.

application/json
createdAtstringOptional
idstringOptional

ID of the role

logTypeAccessstring[]Optional

The log types that the role can or cannot access, according to the logTypeAccessKind field. This field should be omitted if logTypeAccessKind has a value of ALLOW_ALL or DENY_ALL

logTypeAccessKindstring · enumRequired

Defines the role's access to log types. This field is required and has effect only if the datalake RBAC feature is enabled.

Possible values:
namestringRequired

The name of the role

updatedAtstringOptional
get/roles/{id}

Update a role

post
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the role

Body
logTypeAccessstring[]Optional

The log types that the role can or cannot access, according to the logTypeAccessKind field. This field should be omitted if logTypeAccessKind has a value of ALLOW_ALL or DENY_ALL

logTypeAccessKindstring · enumOptional

Defines the role's access to log types. This field is required and has effect only if the datalake RBAC feature is enabled.

Possible values:
namestringRequired

The name of the role

Responses
200

OK response.

application/json
createdAtstringOptional
idstringOptional

ID of the role

logTypeAccessstring[]Optional

The log types that the role can or cannot access, according to the logTypeAccessKind field. This field should be omitted if logTypeAccessKind has a value of ALLOW_ALL or DENY_ALL

logTypeAccessKindstring · enumRequired

Defines the role's access to log types. This field is required and has effect only if the datalake RBAC feature is enabled.

Possible values:
namestringRequired

The name of the role

updatedAtstringOptional
post/roles/{id}

Delete a role

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the role

Responses
200

OK response.

No content

delete/roles/{id}

No content

List roles

get
Authorizations
X-API-KeystringRequired
Query parameters
name-containsstringOptional

A string to search for in the Role name

namestringOptional

An exact match of a role's name to return. If provided all other parameters are ignored

idstring[]Optional

Set of IDS to return

idsstringOptional

A comma delimited list of IDs

sort-dirstring · enumOptional

The sort direction of the results

Default: ascPossible values:
Responses
200

OK response.

application/json
nextstringOptional

Pagination token for the next page of results

get/roles
200

OK response.

마지막 업데이트

도움이 되었나요?